Subject: Using a font server with X-Win32
From: [email-masked] (Tijs Michels)

18 May 1998 12:09:16 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
To: [email-masked]

Hi everyone,

Since Release 6, Xfs, the default X11 font server, is able
to handle Type 1 outline fonts (.PFA / .PFB). Using Sergey's
patches for X11R6.4 Xfs builds just fine with Cygwin32.

Since version 4.0.1, StarNet's X server, X-Win32,
should work with a font server (see
www.starnet.com/docs/xwin32.html). Going by X-Util32 it is
at least able to talk to Xfs.

To link X-Win32 to the font server select "Fonts" and
"Path..." in X-Util32. Now select "Add Font Server...",
enter "localhost" on the "Host" line and "7100" on the
"Port" line. Leave with "OK" and you should be set. By
default X-Win32 handles only .PCF and .FON fonts. However,
using a font server it should also be able to use .PFA /
..PFB fonts, or .PDF fonts. At least I think it should.
(In fact it is still dealing with .PCF fonts. The font
server just converts the outline font into the desired
bitmap format on the fly.)

However, when I enter

  bash$ xfs -port 7100 &

and next start X-Win32, Xfs core dumps complaining about a
STATUS_ACCESS_VIOLATION and X-Win32, understandably, fails
to come up. Why does Xfs core dump? It seems that Xfs reads
/usr/X11R6.4/lib/X11/fs/config just fine, for when I enter
some deliberate nonsense in this configuration file Xfs
complains just like it should and gracefully bails out. The
fact that Xfs core dumps suggests to me that some
connection is made. So what is wrong?

Any suggestion is much appreciated!

Best wishes,

Tijs
[email-masked]

BTW I use X11R6.4 on Win95, but I presume things are no
different with X11R6.3. You don't need .PFA / .PFB fonts to
test this. Xfs can provide an X server with .BDF or .PCF
fonts just as well. So to test whether X-Win32 (Ver. 4.0.1)
works with Xfs you can use some .BDF or .PCF font which is
not already in your font path. If everything works you
should be able to display this font using for instance XFd,
the MIT font display program. In fact, I tested this with a
..BDF font.

Prior to Release 6, you had to build a font renderer
contributed by IBM (R5contrib\XFree86\type1.tar.gz plus
patches) to use type 1 outline fonts. This rasterizer was
build into both the font server and the X server. The
latter is of course impossible with Cygwin32.

It might be argued that calling a font server to use .PFA /
..PFB fonts is silly, since all of these fonts are also
available in a .BDF of .PCF format. However, you would have
to compile the outline font into a bitmap font for every
possible size and resolution, waisting tons of harddisk
space. Xfs rasterizes the outline font on the fly in every
desired size for every desired resolution. Since this takes
some time, you would obviously not want to use a font
server for fonts which you use a lot. But for fonts which
you only use every now and then, a font server is well
worth considering.

The value of 7100 for "Port" seems standard. X-Util32
suggests it, as does the Xfs man page. I don't know why.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".